=begin
Simple Catenary Curve script

version 2
added user changeable number of segments.

Author: Remus Knowles
=end

require 'sketchup.rb'

module RTK

def self.simple_cat_curve
	
intervals = []
	
prompts=["Number of Points"]
defaults=[16]

num_points = UI.inputbox(prompts,defaults)[0]

for n in 1..num_points
	intervals.push(-3.0+((num_points.to_f)*6.0/num_points.to_f))
end

ents = Sketchup.active_model.active_entities
pts = []

intervals.each{|e|
z = (Math.cosh(e))
pts.push([e,0,z])
}

cat_curve = ents.add_curve(pts)

cat_curve_grp = ents.add_group(cat_curve)

end#method

end#module

UI.menu("Draw").add_item("Simple Catenary Curve") {RTK.simple_cat_curve}